@import '../../style/base/_variables';
@import '../../style/base/_mixins';

input {
  width: 100%;
  height: 100%;
  background-color: transparent;
  -webkit-appearance: none;
  @include input;
  &::placeholder {
    @include input;
  }
  &:-webkit-autofill {
    background-color: $color-white !important;
    -webkit-animation-name: autofill;
    -webkit-animation-fill-mode: both;
  }
  &[type=search] {
    &::-ms-clear,
    &::-ms-reveal {
      display: none;
      width : 0;
      height: 0;
    }
    &::-webkit-search-decoration,
    &::-webkit-search-cancel-button,
    &::-webkit-search-results-button,
    &::-webkit-search-results-decoration {
      display: none;
    }
  }
}
label {
  width: 100%;
  height: 100%;
  background-color: transparent;
}

@-webkit-keyframes autofill {
  to {
    color: $color-white;
    background: transparent;
    @include input;
  }
}